Create OAuth Connect Session
curl --request POST \
--url https://api.veryfront.com/oauth/connect/session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integration": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redirect_uri": "<string>"
}
'import requests
url = "https://api.veryfront.com/oauth/connect/session"
payload = {
"integration": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redirect_uri": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
integration: '<string>',
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
redirect_uri: '<string>'
})
};
fetch('https://api.veryfront.com/oauth/connect/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_token": "<string>",
"connect_url": "<string>"
}Creates a short-lived OAuth connect session for native apps.
POST
/
oauth
/
connect
/
session
Create OAuth Connect Session
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Body
application/json
Integration identifier to connect, for example github or slack.
Project that owns the connection.
Connection ownership within the project.
Available options:
user, project Validated native or web redirect URI after OAuth completes.
⌘I